summaryrefslogtreecommitdiffstats
path: root/libraries/wxGTK3/wxGTK3.SlackBuild
diff options
context:
space:
mode:
author B. Watson2022-04-16 19:52:18 +0200
committer B. Watson2022-04-16 19:52:18 +0200
commit408382b675941605a0737108fbac66ff326b1981 (patch)
treed61df244a78c044390488610a038bc8d1fc3edaf /libraries/wxGTK3/wxGTK3.SlackBuild
parentc7ad532b96865ca3a0e5bf58528ac0b236aefad9 (diff)
downloadslackbuilds-408382b675941605a0737108fbac66ff326b1981.tar.gz
libraries/wxGTK3: Make API docs optional.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries/wxGTK3/wxGTK3.SlackBuild')
-rw-r--r--libraries/wxGTK3/wxGTK3.SlackBuild27
1 files changed, 21 insertions, 6 deletions
diff --git a/libraries/wxGTK3/wxGTK3.SlackBuild b/libraries/wxGTK3/wxGTK3.SlackBuild
index 3555927dcc..04ec33a820 100644
--- a/libraries/wxGTK3/wxGTK3.SlackBuild
+++ b/libraries/wxGTK3/wxGTK3.SlackBuild
@@ -22,6 +22,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220416 bkw: Modified by SlackBuilds.org, BUILD=4:
+# - only build HTML docs if requested, since it's time-consuming,
+# requires optional dep graphviz, and 99.9% of users will never
+# read them (they're developer docs, not end-user docs).
+# - spelling/grammar/formatting fixes in README.
+
# 20220414 bkw: Modified by SlackBuilds.org, BUILD=3:
# - actually generate and install HTML documentation.
# - use relative symlink in /usr/bin.
@@ -30,7 +36,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=wxGTK3
VERSION=${VERSION:-3.0.5}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -139,12 +145,21 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
# 20220414 bkw: instead of installing the *source* to the doxygen docs,
# actually run doxygen and install the generated HTML docs.
+# This is only done if the users asks for it.
# The "|| true" stuff is meant to keep errors in the documentation from
-# killing the build.
-cd docs/doxygen
- GENERATE_LATEX=NO doxygen || true
- mv out/html $PKG/usr/doc/$PRGNAM-$VERSION || true
-cd -
+# killing the build. DOT_NUM_THREADS=1 may slow things down a bit on
+# well-endowed hosts, but it prevents running out of memory on lesser ones.
+# Don't try to generate the API docs if graphviz is missing.
+if [ "${APIDOC:-no}" = "yes" ] && which dot &> /dev/null; then
+ echo "=== APIDOC=yes and graphviz exists, building API docs"
+ cd docs/doxygen
+ echo 'DOT_NUM_THREADS = 1' >> Doxyfile
+ GENERATE_LATEX=NO doxygen || true
+ mv out/html $PKG/usr/doc/$PRGNAM-$VERSION/api || true
+ cd -
+else
+ echo "=== not building API docs"
+fi
rm -rf docs/doxygen
cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION